Loading...
Searching...
No Matches
JxlExtraChannelInfo Struct Reference
JPEG XL library (libjxl) » Image and frame metadata

`#include <codestream_header.h>`

## Public Attributes

JxlExtraChannelType | type
uint32_t | bits_per_sample
uint32_t | exponent_bits_per_sample
uint32_t | dim_shift
uint32_t | name_length
JXL_BOOL | alpha_premultiplied
float | spot_color [4]
uint32_t | cfa_channel

## Detailed Description

Information for a single extra channel.

## Member Data Documentation

## alpha_premultiplied

JXL_BOOL JxlExtraChannelInfo::alpha_premultiplied

Whether alpha channel uses premultiplied alpha. Only applicable if type is JXL_CHANNEL_ALPHA.

## bits_per_sample

uint32_t JxlExtraChannelInfo::bits_per_sample

Total bits per sample for this channel.

## cfa_channel

uint32_t JxlExtraChannelInfo::cfa_channel

Only applicable if type is JXL_CHANNEL_CFA. TODO(lode): add comment about the meaning of this field.

## dim_shift

uint32_t JxlExtraChannelInfo::dim_shift

The exponent the channel is downsampled by on each axis. TODO(lode): expand this comment to match the JPEG XL specification, specify how to upscale, how to round the size computation, and to which extra channels this field applies.

## exponent_bits_per_sample

uint32_t JxlExtraChannelInfo::exponent_bits_per_sample

Floating point exponent bits per channel, or 0 if they are unsigned integer.

## name_length

uint32_t JxlExtraChannelInfo::name_length

Length of the extra channel name in bytes, or 0 if no name. Excludes null termination character.

## spot_color

float JxlExtraChannelInfo::spot_color[4]

Spot color of the current spot channel in linear RGBA. Only applicable if type is JXL_CHANNEL_SPOT_COLOR.

## type

JxlExtraChannelType JxlExtraChannelInfo::type

Given type of an extra channel.

The documentation for this struct was generated from the following file:

- jxl/codestream_header.h